org.apache.commons.math3.exception

## Class MathIllegalArgumentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.apache.commons.math3.exception.MathIllegalArgumentException

- All Implemented Interfaces:
    Serializable, ExceptionContextProvider
  Direct Known Subclasses:
    IllConditionedOperatorException, InvalidRepresentationException, JacobianMatrices.MismatchedEquations, MathIllegalNumberException, ModelSpecificationException, MultiDimensionMismatchException, NoBracketingException, NoDataException, NonPositiveDefiniteOperatorException, NonSelfAdjointOperatorException, NonSymmetricMatrixException, NotARotationMatrixException, NullArgumentException, SingularMatrixException, SingularOperatorException, UnknownParameterException

      public class MathIllegalArgumentException
      extends IllegalArgumentException
      implements ExceptionContextProvider

  Base class for all preconditions violation exceptions. In most cases, this class should not be instantiated directly: it should serve as a base class to create all the exceptions that have the semantics of the standard `IllegalArgumentException`.
  Since:
    2.2
  Version:
    $Id: MathIllegalArgumentException.java 1364378 2012-07-22 17:42:38Z tn $
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private ExceptionContext` | `context` Context.
    `private static long` | `serialVersionUID` Serializable version Id.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MathIllegalArgumentException(Localizable pattern, Object... args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExceptionContext` | `getContext()` Gets a reference to the "rich context" data structure that allows to customize error messages and store key, value pairs in exceptions.
    `String` | `getLocalizedMessage()`
    `String` | `getMessage()`

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Serializable version Id.
      See Also:
        Constant Field Values

    - #### context

          private final ExceptionContext context

      Context.

  - ### Constructor Detail

    - #### MathIllegalArgumentException

          public MathIllegalArgumentException(Localizable pattern,
                                      Object... args)

      Parameters:
        `pattern` - Message pattern explaining the cause of the error.
        `args` - Arguments.

  - ### Method Detail

    - #### getContext

          public ExceptionContext getContext()

      Gets a reference to the "rich context" data structure that allows to customize error messages and store key, value pairs in exceptions.
      Specified by:
        `getContext` in interface `ExceptionContextProvider`
      Returns:
        a reference to the exception context.

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`

    - #### getLocalizedMessage

          public String getLocalizedMessage()

      Overrides:
        `getLocalizedMessage` in class `Throwable`

Copyright (c) 2003-2013 Apache Software Foundation